package com.userfront.service;


import com.userfront.UserFrontApplication;
import com.userfront.UserFrontApplicationTests;
import com.userfront.dao.PrimaryAccountDao;
import com.userfront.dao.SavingsAccountDao;
import com.userfront.domain.PrimaryAccount;
import com.userfront.service.UserServiceImpl.AccountServiceImpl;
import org.junit.Assert;
import org.junit.Test;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.extension.ExtendWith;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.SpringApplicationConfiguration;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.math.BigDecimal;


public class AccountServiceTest {

    @Test
    public void createPrimaryAccount() {
        AccountServiceImpl accountService = Mockito.mock(AccountServiceImpl.class);

        PrimaryAccount primaryAccount = new PrimaryAccount();
        primaryAccount.setAccountBalance(new BigDecimal(0.0));
        primaryAccount.setAccountNumber(1);

        Mockito.when(accountService.createPrimaryAccount())
                .thenReturn(primaryAccount);
        PrimaryAccount primaryAccountResult = accountService.createPrimaryAccount();
        Assert.assertEquals(primaryAccountResult.getAccountBalance(), new BigDecimal(0.0));
    }

}
